Subject: Re: [patch for 2.6.27? 4/4] e1000e: prevent corruption of EEPROM/NVM

From: Jeff Garzik <[email-masked]>
Date: Sat, 13 Sep 2008 15:15:02 -0400

Brandeburg, Jesse wrote:
> [email-masked] wrote:
>> From: Christopher Li <[email-masked]>
>>
>> Andrey reports e1000e corruption, and that a patch in vmware's ESX
>> fixed 
>> it.
>>
>> The EEPROM corruption is triggered by concurrent access of the EEPROM
>> read/write. Putting a lock around it solve the problem.
>>
> 
> NAK.  Please do not apply this patch, for reasons mentioned in my other
> reply just sent to netdev.
> 
> The RTNL should be preventing this from being a possible bug in *Linux*
> and if it is not we have much larger problems, not the least of which is
> that this patch doesn't lock against the driver accessing the eeprom
> simultaneously.

Ping.  A problem still occurs, regardless of what should be prevented?